import { FoundationTheme } from '@nuskin/foundation-theme';

export type ContentStackLiveTags = {
    'data-cslp'?: string;
};

export type AdditionalProps = {
    additionalProps?: {
        ariaLabel?: string;
        testid?: string;
        className?: string;
        'data-testid'?: string;
    } & ContentStackLiveTags;
} & DarkModeEnabledOption;

export type Themed = {
    theme: FoundationTheme.Theme;
};

export type DarkModeEnabledOption = {
    darkModeEnabled?: boolean;
};
